Web lists-archives.com

Re: Problem solved ([vlc] Qt4 plugin into Qt5 program)




On Thursday May 18 2017 10:20:10 John wrote:


> I tried using the vlc backend here due to a sound problem and didn't notice any problems. Not the latest Qt etc though.
> Later I changed to vlc3 beta due to problems down to installing an nvidia graphics driver. vlc generated segmentation faults. I've had an nvidia update since so may be ok now.

It may not be unexpected that you're not seeing any problems: in fact it would be expected if you're building from source and don't have Qt4 installed (or only the runtime or qmake points to the Qt5 install). It doesn't matter what Qt version you have, no Qt4 plugin can run in a Qt5 application (or vice-versa).

Good to know VLC 3 is in beta, btw.

> Odd problem as I have heard that upstream kde prefer a vlc phonon back end.

Indeed. Evidently KDE prefer the VLC backend; it doesn't require installing parts of Gnome/GTk ...

R.